summaryrefslogtreecommitdiffstats
path: root/retiolum/hosts
diff options
context:
space:
mode:
authorFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-14 22:52:09 +0200
committerFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-14 22:52:09 +0200
commit7e532b8107f95c5b196ee688b10642d99ca57c3e (patch)
tree79eda058a0ff38225349ea71305291cfc14a250b /retiolum/hosts
parent6514dfb5482368123b7a61b7fa778cdc71283661 (diff)
added bootstrap script
use the bootstrap code with: curl https://github.com/miefda/retiolum/raw/master/.scripts/bootstrap.sh | sh
Diffstat (limited to 'retiolum/hosts')
-rw-r--r--retiolum/hosts/.scripts/bootstrap.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/retiolum/hosts/.scripts/bootstrap.sh b/retiolum/hosts/.scripts/bootstrap.sh
new file mode 100644
index 00000000..50356ac1
--- /dev/null
+++ b/retiolum/hosts/.scripts/bootstrap.sh
@@ -0,0 +1,11 @@
+if [ `id -u` -eq "0" ]
+then
+ echo "not root, bailing out"
+ exit 1
+fi
+
+mkdir -p /etc/tinc/retiolum/
+git clone git://github.com/miefda/retiolum.git /etc/tinc/retiolum/hosts
+cd /etc/tinc/retiolum/hosts/.scripts
+
+echo "use the build script of your choice from /etc/tinc/retiolum/hosts/.scripts"